liblxqt (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Update copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 03 Jul 2025 15:03:59 -0500

liblxqt (2.1.0-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:18:42 -0600

liblxqt (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:53:28 -0600

liblxqt (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Update symbols from amd64 build logs.
  * Make the package Lintian-clean.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:03 -0600

liblxqt (2.0.0-0ubuntu2) oracular; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 23 Aug 2024 21:22:05 +0100

liblxqt (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Bump soname.
  * Adjust package names.
  * Update symbols file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:03:02 -0500

liblxqt (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump libqtxdg-related build dependencies.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 05 Nov 2023 12:13:40 -0600

liblxqt (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * wrap-and-sort.
  * Update Standards-version to 4.6.2, no changes needed.
  * Update copyright file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 10 May 2023 12:12:24 -0500

liblxqt (1.2.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against lxqt-build-tools 0.12.0-0ubuntu3.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 09 Feb 2023 13:49:31 -0600

liblxqt (1.2.0-0ubuntu2) lunar; urgency=medium

  * Removed the obsolete '-Wl,--as-needed' linker flag from debian/rules.
  * Removed trailing whitespace from changelog.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Overhauled copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 28 Nov 2022 14:44:46 -0600

liblxqt (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies to the latest upstream LXQt versions.
  * Remove unnecessary dh-exec call.
  * Remove a seemingly-obsolete Lintian override.
  * Fix a typo in the upstream metadata.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Nov 2022 19:19:19 -0600

liblxqt (1.1.0-0ubuntu2) kinetic; urgency=medium

  * Add additional Breaks/Replaces on liblxqt0 just to be safe.
  * Bump install dependencies.
  * Remove the linux-any prefix for liblxqt1, since it's causing issues
    and seems to be a Debian fix anyway.
  * Symbols.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 31 May 2022 17:49:16 -0500

liblxqt (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump build dependencies to pick up the new LXQt stack.
  * Update Standards-version to 4.6.1, no changes needed.
  * Update copyright.
  * Move liblxqt0 to liblxqt1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 May 2022 15:56:47 -0500

liblxqt (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream version 0.17.0
  * Update debian/control
    - Use debhelper-compat 13
    - Use libqtxdg-dev and libqtxdgiconloader-dev 3.7.1
    - Use lxqt-build-tools 0.9.0
  * Run wrap-and-sort
    - Remove lxqt-backlight-helper from debian/control
  * Renamed tag for lintian override
  * Update symbols
    - Add new symbols
    - Demangle existing symbols
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Mon, 09 Aug 2021 11:12:06 +0200

liblxqt (0.16.0-1ubuntu2) hirsute; urgency=medium

  * Dropped symbol failing on s390x.

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 03 Feb 2021 16:15:06 -0800

liblxqt (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bumped standards-version to 4.5.1
  * Ignore the old upstream signing key from Debian.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sat, 23 Jan 2021 10:00:11 +0530

liblxqt (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed.

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #964658)
  * Drop backported upstream patches.
  * Refresh debian/liblxqt0.symbols file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 05 Jan 2021 17:23:10 +0800

liblxqt (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Remove upstream patches fixing Mac OS X and Hurd builds.
    - Update upstream signing key.
    - Bump LXQt build dependencies.
    - Update symbols from amd64 build logs.
  * Run wrap-and-sort.
  * Add libkf5windowsystem-dev to build dependencies.
  * Full copyright update.
  * Remove unneeded lxqt-l10n Conflicts/Replaces.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 23:19:19 -0500

liblxqt (0.14.1-4ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - New upstream version 0.14.1-4.
    - Bumped standards version to 4.5.0.
    - Using debhelper-compat ( =12).
    - Added new build dependency dh-exec.
    - Updated rules.
    - Updated copyrights.
    - Added upstream metadata.
    - Added upstream patches fix-hurd-ftbfs and fix-osx-ftbfs.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Tue, 07 Apr 2020 21:20:31 +0530

liblxqt (0.14.1-4) unstable; urgency=medium

  * Added kfreebsd as non-linux to rules
  * New build dependency dh-exec
  * Don't install backlight things for hurd and kfreebsd
  * Prepared helper package

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 22:59:58 +0200

liblxqt (0.14.1-3) unstable; urgency=medium

  * Modified debian/rules for Hurd.

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 14:43:27 +0200

liblxqt (0.14.1-2) unstable; urgency=medium

  * Applied upstream CMakeLists patches for non-linux.

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 14:20:35 +0200

liblxqt (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.1.
  * Bumped minimum version libqt5xdg-dev (>= 3.3.1~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.1~)
  * Added new symbol

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 18:01:40 +0100

liblxqt (0.14.1-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:46:08 +0100

liblxqt (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Bump build dependency on libqtxdg.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 08 Mar 2019 23:11:56 -0600

liblxqt (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.0.
  * Added Build-Depends-Package: liblxqt0-dev to d/liblxqt0-dev.symbols
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version libqt5xdg-dev (>= 3.3.0~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.0~)
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 13:37:40 +0100

liblxqt (0.14.0-0ubuntu3) disco; urgency=medium

  * Add Breaks/Replaces on the old liblxqt-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 10:08:54 -0600

liblxqt (0.14.0-0ubuntu2) disco; urgency=medium

  * Add a liblxqt-l10n binary package for translations.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 22:36:37 -0600

liblxqt (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 22:20:23 -0600

liblxqt (0.13.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.12.0.
  * Bumped build dependencies liblqt5xdg* to >= 3.2.0~
  * Bumpde build dependency lxqt-build-tools to >= 0.5.0~
  * Fixed symbols for the new release
  * Added lintian overrides for the helper scripts and configurations
  * Removed multiarch=same - packages will not be co-installable anymore
  * Moved debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 18:49:19 +0200

liblxqt (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update copyright.
  * Run wrap-and-sort.
  * Update build and runtime dependencies.
  * Update liblxqt0.install for the new release.
  * Update symbols from build log.
  * Remove Multi-Arch: same from liblxqt0 because it now contains an
    architecture-specific file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 22:45:48 -0500

liblxqt (0.12.0-7) unstable; urgency=medium

  * Really fix VCS-Git
  * Fixed watch file

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 23:02:11 +0200

liblxqt (0.12.0-6) unstable; urgency=medium

  * Fixed Hompage and Source to lxqt
  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Apr 2018 18:02:45 +0200

liblxqt (0.12.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Wed, 13 Dec 2017 20:16:30 +0100

liblxqt (0.12.0-4) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 03:17:57 +0100

liblxqt (0.12.0-3) experimental; urgency=medium

  * Fixed needed version to build-tools (>= 0.4.0)

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Oct 2017 00:35:16 +0200

liblxqt (0.12.0-2) experimental; urgency=medium

  * Re-added explicit build dependencies, make the packaging more
    understandable:
    - libqt5xdg-dev (>= 3.1.0)
    - libqt5xdgiconloader-dev (>= 3.1.0)

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 17:28:18 +0200

liblxqt (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped dependencies
  * Fixed symbols
  * Added override for dh_missing in rules

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 14:28:46 +0200

liblxqt (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0
  * Added dependencies desktop-file-utils and shared-mime-info
    (Closes: #866904)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 20:03:10 +0200

liblxqt (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.1.
  * Bumped years in d/copyright
  * Removed build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
   * Added build dependency lxqt-build-tools (>= 0.3.1)
   * Added dependencies:
     - libqt5xdg-dev
     - libqt5xdgiconloader-dev
     - lxqt-build-tools
  * Fixed l-dev.install

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 03:40:10 +0100

liblxqt (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.0.
  * Synced from experimental
  * Bumped build dependency debhelper (>=10)
  * Bump standards to 3.9.8
  * Bump years in copyright
  * Bumped compat to 10
  * Removed --parallel from rules, now standard
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0)
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added build dependency libxss-dev
  * Added Recommends liblxqt-l10n
  * Removed grep patch, merged upstream
  * Removed virtual ABI, no longer needed
  * Exported LC_ALL=C.UTF-8 - define language settings for reproducible
    builds
  * Fixed Format field in copyright
  * Fixed VCS fields, use plain /git/
  * Fix symbols, only use lxqt-abi-0-11-0
  * Added translation handling in rules
  * Deleted former patches
  * Added DCMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Tue, 12 Jul 2016 21:17:33 +0200

liblxqt (0.10.0-5) unstable; urgency=medium

  * Bump Standards to 3.9.7
  * Secured VCS-fields
  * Added hardening=+all
  * patched LXQtTranslateDesktop.cmake - it's already fixed upstream
    but i don't want to catch up with upstream before the upcoming
    release
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 26 Feb 2016 19:00:57 +0100

liblxqt (0.10.0-4) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 26 Dec 2015 11:01:53 +0800

liblxqt (0.10.0-3) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Update symbols and provide lxqt-abi-0-10.0.
  * Added minimum libqtxdg version.
  * Removed the libdrm-dev build dependency, as libdrm-dev is thrown in
    by other packages if needed in $architecture.
  * Fixed copyright, only LGPL2.1+ is used.
  * Fixed watch file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 00:02:02 +0800

liblxqt (0.9.0+20150806-3) unstable; urgency=medium

  * Provide lxqt-abi-0-9-0
  * Fix VCS-Fields
  * Modify symbols, preparing the migration to 0.10.0
  * Removed breaks and replaces

 -- Alf Gaida <agaida@siduction.org>  Mon, 09 Nov 2015 18:48:51 +0100

liblxqt (0.9.0+20150806-2) unstable; urgency=medium

  * Apply extra-libdrm.diff patch from Pino Toscano <pino@debian.org> to
    fix ftbfs on hurd. (Closes:#795577)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 17 Aug 2015 17:27:18 +0800

liblxqt (0.9.0+20150806-1) unstable; urgency=medium

  [ Alf Gaida ]
  * source options added - don't provide .gitignore in package.
  * make the rules less verbos and drop the not needed QT5 switch.
  * drop remaining .tx directory.

  [ ChangZhuo Chen (陳昌倬) ]
  * Update d/watch with PGP key.
  * Ignore anything except debian directory.

  [ Alf Gaida ]
  * changed team an vcs fields build dependency libqtxdg fixed.
  * some changes in debian $foo.
  * drop metapackages.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150806.
  * Removing whitespaces at EOL and EOF.
  * Added myself as Uploader.
  * Sorting build-depends.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 13 Aug 2015 21:36:40 +0800

liblxqt (0.9.0-1) experimental; urgency=low

  * Initial release (Closes: #747620)

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 Feb 2015 15:59:22 +0100
